class MasterDocumentCategoryListModel {
  final String id;
  final String name;
  final String description;
  final String entityTypeId;

  MasterDocumentCategoryListModel({
    required this.id,
    required this.name,
    required this.description,
    required this.entityTypeId,
  });

  factory MasterDocumentCategoryListModel.fromJson(Map<String, dynamic> json) {
    return MasterDocumentCategoryListModel(
      id: json['id'] as String,
      name: json['name'] as String,
      description: json['description'] as String,
      entityTypeId: json['entityTypeId'] as String,
    );
  }

  Map<String, dynamic> toJson() {
    return {
      'id': id,
      'name': name,
      'description': description,
      'entityTypeId': entityTypeId,
    };
  }
}
